'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _datePicker = require('../antd/date-picker');

var _datePicker2 = _interopRequireDefault(_datePicker);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DatePicker = function DatePicker(props) {
  return _react2.default.createElement(_datePicker2.default, _extends({ prefixCls: 'flux-calendar', inputPrefixCls: 'flux-input' }, props));
};
DatePicker.MonthPicker = _datePicker2.default.MonthPicker;
DatePicker.RangePicker = _datePicker2.default.RangePicker;

exports.default = DatePicker;