'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavMenu = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _menu = require('../antd/menu');

var _menu2 = _interopRequireDefault(_menu);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Menu = function Menu(props) {
  return _react2.default.createElement(_menu2.default, _extends({ prefixCls: 'flux-menu' }, props));
};
Menu.Divider = _menu2.default.Divider;
Menu.Item = _menu2.default.Item;
Menu.SubMenu = _menu2.default.SubMenu;
Menu.ItemGroup = _menu2.default.ItemGroup;

var NavMenu = exports.NavMenu = function NavMenu(props) {
  return _react2.default.createElement(_menu2.default, _extends({ className: 'flux-nav-menu', mode: 'horizontal', selectable: false }, props));
};

exports.default = Menu;