'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _modal = require('../antd/modal');

var _modal2 = _interopRequireDefault(_modal);

require('../button/index.css');

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Modal = function Modal(props) {
  return _react2.default.createElement(_modal2.default, _extends({ prefixCls: 'flux-modal' }, props));
};

Modal.info = _modal2.default.info;
Modal.success = _modal2.default.success;
Modal.error = _modal2.default.error;
Modal.warning = _modal2.default.warning;
Modal.confirm = function (props) {
  return _modal2.default.confirm(_extends({ iconType: null }, props));
};

exports.default = Modal;