'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _button = require('../antd/button');

var _button2 = _interopRequireDefault(_button);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AntButtonGroup = _button2.default.Group;
var Button = function Button(props) {
  var className = props.className,
      loading = props.loading,
      otherProps = _objectWithoutProperties(props, ['className', 'loading']);

  if (loading) {
    className = className + ' flux-btn-loading';
  }

  // don't show loading spinner element - make it appear with CSS instead.
  return _react2.default.createElement(_button2.default, _extends({
    className: className,
    loading: false,
    prefixCls: 'flux-btn'
  }, otherProps));
};

var ButtonGroup = function ButtonGroup(props) {
  return _react2.default.createElement(AntButtonGroup, _extends({ prefixCls: 'flux-btn-group' }, props));
};

Button.Group = ButtonGroup;
exports.default = Button;