'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UserDropdown = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _dropdown = require('../antd/dropdown');

var _dropdown2 = _interopRequireDefault(_dropdown);

var _menu = require('../menu');

var _menu2 = _interopRequireDefault(_menu);

var _icon = require('../icon');

var _icon2 = _interopRequireDefault(_icon);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var UserDropdown = exports.UserDropdown = function (_React$Component) {
  _inherits(UserDropdown, _React$Component);

  function UserDropdown() {
    var _ref;

    var _temp, _this, _ret;

    _classCallCheck(this, UserDropdown);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = UserDropdown.__proto__ || Object.getPrototypeOf(UserDropdown)).call.apply(_ref, [this].concat(args))), _this), _this.state = {
      isOpen: false
    }, _this.setDropdownStatus = function (visible) {
      _this.setState({
        isOpen: visible
      });
    }, _this.handleMenuClick = function () {
      _this.setState({
        isOpen: false
      });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(UserDropdown, [{
    key: 'render',
    value: function render() {
      var _this2 = this;

      var _props = this.props,
          avatar = _props.avatar,
          menuLinks = _props.menuLinks,
          props = _objectWithoutProperties(_props, ['avatar', 'menuLinks']);

      var menuItems = _react2.default.createElement(
        _menu2.default,
        { className: 'flux-user-dropdown-menu', selectable: false, onClick: this.handleMenuClick },
        menuLinks.map(function (data, idx) {
          return _react2.default.createElement(
            _menu2.default.Item,
            { key: idx, className: 'flux-user-dropdown-item', onClick: _this2.handleMenuClick },
            data
          );
        })
      );

      return _react2.default.createElement(
        _dropdown2.default,
        _extends({
          overlay: menuItems,
          trigger: ['click'],
          placement: 'bottomRight',
          onVisibleChange: this.setDropdownStatus
        }, props),
        _react2.default.createElement(
          'div',
          { className: 'flux-user-dropdown-container' },
          avatar ? avatar : _react2.default.createElement(_icon2.default, { type: 'avatar' }),
          _react2.default.createElement('div', {
            className: 'flux-user-caret-down ' + (this.state.isOpen ? 'flux-user-caret-down-active' : '')
          })
        )
      );
    }
  }]);

  return UserDropdown;
}(_react2.default.Component);

exports.default = _dropdown2.default;