'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _radio = require('../antd/radio');

var _radio2 = _interopRequireDefault(_radio);

require('./index.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Radio = function Radio(props) {
  return _react2.default.createElement(_radio2.default, _extends({ prefixCls: 'flux-radio' }, props));
};
var RadioButton = function RadioButton(props) {
  return _react2.default.createElement(_radio2.default.Button, _extends({ prefixCls: 'flux-radio-button' }, props));
};
var RadioGroup = function RadioGroup(props) {
  return _react2.default.createElement(_radio2.default.Group, _extends({ prefixCls: 'flux-radio-group' }, props));
};

Radio.Button = RadioButton;
Radio.Group = RadioGroup;
exports.default = Radio;